Loading...
Searching...
No Matches
SubgraphBuilder.cpp File Reference

## Classes

class | ostream
| STL class. More...

## Namespaces

namespace | gtsam
| Global functions in a separate testing namespace.

## Functions

ostream & | gtsam::operator<< (std::ostream &os, const Subgraph::Edge &edge)
ostream & | gtsam::operator<< (std::ostream &os, const Subgraph &subgraph)
ostream & | gtsam::operator<< (ostream &os, const SubgraphBuilderParameters &p)
GaussianFactorGraph | gtsam::buildFactorSubgraph (const GaussianFactorGraph &gfg, const Subgraph &subgraph, const bool clone)
| Select the factors in a factor graph according to the subgraph.
std::pair< GaussianFactorGraph, GaussianFactorGraph > | gtsam::splitFactorGraph (const GaussianFactorGraph &factorGraph, const Subgraph &subgraph)
| Split the graph into a subgraph and the remaining edges.

## Detailed Description

Date
  Dec 31, 2009

Author
  Frank Dellaert, Yong-Dian Jian